﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.OleDb;
using System.Text;

using Spire.DataExport.Common;
using Spire.DataExport.XLS;

namespace SALESSUPPORT_559
{
    class Program
    {
        static void Main(string[] args)
        {
            // new connection
            using (IDbConnection conn = new System.Data.OleDb.OleDbConnection())
            {
                conn.ConnectionString
                    = @"Provider=Microsoft.Jet.OLEDB.4.0;"
                    + @"Data Source=..\..\demo.mdb";
                conn.Open();

                // new command
                IDbCommand command1 = new OleDbCommand();
                command1.Connection = conn;
                command1.CommandText
                    = " SELECT orders.OrderNo, orders.SaleDate, orders.ShipDate, orders.ItemsTotal, orders.TaxRate / 100 as TaxRate "
                    + " FROM   orders "
                    + " WHERE  orders.TaxRate > 0 ";

                // set cellExport
                CellExport cellExport = new CellExport();
                cellExport.ActionAfterExport = ActionType.OpenView;
                cellExport.FileName = "percent.xls";
                WorkSheet sheet = new WorkSheet();
                cellExport.Sheets.Add(sheet);
                sheet.CustomFormats.Add("SaleDate=yyyy-MM-dd");
                sheet.CustomFormats.Add("ShipDate=yyyy-MM-dd");
                sheet.CustomFormats.Add("ItemsTotal=0.00");
                sheet.CustomFormats.Add("TaxRate=0.00%");
                sheet.AutoFitColWidth = true;
                sheet.DataSource = ExportSource.SqlCommand;
                sheet.SQLCommand = command1;

                //save
                cellExport.SaveToFile();
            }
        }
    }
}
